#include "parameters.h"

Parameters::Parameters()
{
	reset();
}


Parameters::~Parameters()
{

}

void Parameters::reset()
{
	verbose_level = 5;
	path_input_pcd = "";
	path_input_mesh = "";

    path_input_source_pcd = "";
    path_input_target_pcd = "";

	path_output_dir = ".";
	suffix = "";

	reset_detection();
	reset_transform();
    
    nbq = 2e4;
    scale_est = true;
}

void Parameters::reset_detection()
{
    detection_epsilon_ratio = 3.0;
    detection_normal_threshold = 0.8;
    detection_knn = 20;
    detection_min_points = 40;
}

void Parameters::reset_transform()
{
    transform_x_angle = 0;
    transform_y_angle = 0;
    transform_z_angle = 0;
    transform_x_offset = 0;
    transform_y_offset = 0;
    transform_z_offset = 0;
    transform_scale = 1;
}
