#ifndef _DIALOG_BOX_DIALOG_BOX_SHAPE_DETECTION_
#define _DIALOG_BOX_DIALOG_BOX_SHAPE_DETECTION_

#include "ui_dialog_box_shape_detection.h"

/**
 * @class DialogBoxShapeDetection
 * @brief Interface to tune the shape detection options
 */
class DialogBoxShapeDetection : public QDialog, private Ui::DialogBoxShapeDetection {
 public:
  DialogBoxShapeDetection(QWidget *parent = 0) { setupUi(this); }

  // Get options from the dialog box
  double GetEpsilonRatio() { return epsilonRatioSpinBox->value(); }

  double GetNormalThreshold() { return normalThresholdSpinBox->value(); }

  int GetKNN() { return KNNSpinBox->value(); }

  int GetMinPoints() { return minPointsSpinBox->value(); }

};

#endif  // _DIALOG_BOX_DIALOG_BOX_SHAPE_DETECTION_
