#ifndef _DIALOG_BOX_DIALOG_BOX_TRANSFORM_POINTS_
#define _DIALOG_BOX_DIALOG_BOX_TRANSFORM_POINTS_

#include "ui_dialog_box_transform_points.h"

/**
 * @class DialogBoxTransformPoints
 * @brief Interface to tune the transformation options
 */
class DialogBoxTransformPoints : public QDialog, private Ui::DialogBoxTransformPoints {
 public:
  DialogBoxTransformPoints(QWidget *parent = 0) { setupUi(this); }

  // Get options from the dialog box
  double GetXAngle() { return xAngleDoubleSpinBox->value(); }

  double GetYAngle() { return yAngleDoubleSpinBox->value(); }

  double GetZAngle() { return zAngleDoubleSpinBox->value(); }

  double GetXOffset() { return xOffsetDoubleSpinBox->value(); }

  double GetYOffset() { return yOffsetDoubleSpinBox->value(); }

  double GetZOffset() { return zOffsetDoubleSpinBox->value(); }

  double GetScale() { return scaleDoubleSpinBox->value(); }

};

#endif  // _DIALOG_BOX_DIALOG_BOX_TRANSFORM_POINTS_
